import { ApiKeyClientConfigSettings, ClientConfigSettings } from '../common';
import { ClientAuth } from 'bf-lib';
declare type Nullable<T> = T | null;
export interface NodeClientAuth extends ClientAuth {
    getAccessToken: () => Promise<Nullable<string>>;
}
export default function auth(settings: ClientConfigSettings): Promise<NodeClientAuth>;
export declare function hasApiKeySettings(settings: ClientConfigSettings): settings is ApiKeyClientConfigSettings;
export {};
