"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretValueEncodingType = exports.AsymmetricKeyType = void 0;
/* tslint:disable:variable-name */
exports.AsymmetricKeyType = Object.freeze({
    PUBLIC: 'PUBLIC',
    PRIVATE: 'PRIVATE',
});
/* tslint:disable:variable-name */
exports.SecretValueEncodingType = Object.freeze({
    /**
     * For secret values which are base64 encoded
     */
    RAW: 'RAW',
    /**
     * For secret values which are RSA encrypted
     */
    RSA: 'RSA',
});
